FROM php:8.1-fpm

ENV LANG="C.utf8" LC_ALL="C.utf8" COMPOSER_ALLOW_SUPERUSER="1" TZ=${TZ:-"Europe/Moscow"}

RUN locale -a && sleep 5

RUN locale && sleep 5

ADD --chmod=0755 https://github.com/mlocati/docker-php-extension-installer/releases/latest/download/install-php-extensions /usr/local/bin/

RUN apt-get update \
    && DEBIAN_FRONTEND=noninteractive apt-get install -y \
        locales \
        default-jre-headless \
        libfreetype6-dev \
        libjpeg62-turbo-dev \
        libjpeg-dev \
        libpng-dev \
        libgearman-dev \
        libicu-dev \
        libtidy-dev \
        libzip-dev \
        zlib1g \
        libmemcached11 libmemcachedutil2 build-essential libmemcached-dev libz-dev \
        libxml2-dev libxslt1-dev zlib1g-dev ssh \
        mc vim sudo tzdata git zip wget \ 
    && install-php-extensions gd intl zip mysqli pdo_mysql calendar exif imagick memcached pcntl sockets \
                             tidy xsl xml uuid gettext soap opcache bcmath gearman redis \ 
    && sed -i -e 's/# en_US.UTF-8 UTF-8/en_US.UTF-8 UTF-8/' /etc/locale.gen \
    && sed -i -e 's/# ru_RU.UTF-8 UTF-8/ru_RU.UTF-8 UTF-8/' /etc/locale.gen \
    && dpkg-reconfigure --frontend=noninteractive locales \
    && update-locale LANG=ru_RU.UTF-8 \
    && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*


COPY profile/aliases.sh /etc/profile.d/aliases.sh

COPY --from=composer:2.2.4 /usr/bin/composer /usr/local/bin/composer

COPY conf.d/php-extend.ini /usr/local/etc/php/conf.d/php-extend.ini
COPY conf.d/opcache.ini /usr/local/etc/php/conf.d/opcache.ini

RUN curl -sS https://get.symfony.com/cli/installer | bash
RUN cp /root/.symfony5/bin/symfony /usr/local/bin/symfony

COPY healthcheck/fpm-docker-healthcheck.conf /usr/local/etc/php-fpm.d/fpm-docker-healthcheck.conf
COPY healthcheck/docker-healthcheck /usr/local/bin/docker-healthcheck
RUN  chmod +x /usr/local/bin/docker-healthcheck
HEALTHCHECK --interval=10s --timeout=3s --retries=3 CMD ["docker-healthcheck"]

EXPOSE 9000

WORKDIR /var/app

